Skip to main content
GET
Get donation by id
OAuth scope: donation_readAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

OAuth 2.0 access token, sent as Authorization: Bearer <token>. See https://docs.fourthwall.com/guides/oauth. The scopes an operation requires are listed in its x-fourthwall-scopes.

Path Parameters

donationId
string
required

Response

OK

id
string
required
Example:

"don_Kpcjx4HIQ1e4bTIOjX9CsA"

shopId
string
required
Example:

"sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb"

status
enum<string>
required
Available options:
OPEN,
COMPLETED,
ABANDONED,
CANCELLED,
FAILED
email
string
required
Example:

"supporter@fourthwall.com"

amounts
Amounts · object
required
createdAt
string<date-time>
required
Example:

"2020-08-13T09:05:36.939Z"

updatedAt
string<date-time>
required
Example:

"2020-08-13T09:05:36.939Z"

username
string
Example:

"Johnny123"

message
string
Example:

"Sample message"